/* Creation des menus
 *
 * Projet: Traitement d'images
 * Maitrise informatique 2003
 * Vouriot Thierry
 */

#include "menus-glut.h"

extern int nbplan;

/* Creation des differents menus */
void createMenus(void)
{
	int mnuMain = glutCreateMenu(glutMenu);
	int mnuReglages = glutCreateMenu(glutMenu);
	int mnuDistances = glutCreateMenu(glutMenu);
	int mnuAutres = glutCreateMenu(glutMenu);
	int mnuCouleur = glutCreateMenu(glutMenu);
	int mnuSelectBits = glutCreateMenu(glutMenu);

	// menu reglages
	glutSetMenu(mnuReglages);
	glutAddMenuEntry(SYMETRIE_VERTICALE_TXT, SYMETRIE_VERTICALE);
	glutAddMenuEntry(NEGATIF_TXT, NEGATIF);
	glutAddMenuEntry(NIVEAU_GRIS_TXT, NIVEAU_GRIS);
	glutAddMenuEntry(SELECT_COULEURS_TXT, SELECT_COULEURS);
	glutAddMenuEntry(EGAL_HISTO_1_TXT, EGAL_HISTO_1);
	glutAddMenuEntry(EGAL_HISTO_2_TXT, EGAL_HISTO_2);
	glutAddMenuEntry(ETIREMENT_TXT, ETIREMENT);
	glutAddMenuEntry(ETIREMENT_INTERACTIF_TXT, ETIREMENT_INTERACTIF);
	glutAddMenuEntry(SEUILLAGE_FIXE_TXT, SEUILLAGE_FIXE);
	glutAddMenuEntry(SEUILLAGE_AL_TXT, SEUILLAGE_AL);
	glutAddMenuEntry(DENTSCIE_TXT, DENTSCIE);
	glutAddSubMenu(SELECT_BITS, mnuSelectBits);
	
	// sous-menu select_bits
	glutSetMenu(mnuSelectBits);	
	glutAddMenuEntry(M00000100_TXT, M00000100);
	glutAddMenuEntry(M00001000_TXT, M00001000);
	glutAddMenuEntry(M00010000_TXT, M00010000);
	glutAddMenuEntry(M00100000_TXT, M00100000);
	glutAddMenuEntry(M01000000_TXT, M01000000);
	glutAddMenuEntry(M10000000_TXT, M10000000);
	glutAddMenuEntry(M11111110_TXT, M11111110);
	glutAddMenuEntry(M11111100_TXT, M11111100);
	glutAddMenuEntry(M11111000_TXT, M11111000);
	glutAddMenuEntry(M11110000_TXT, M11110000);
	glutAddMenuEntry(M11100000_TXT, M11100000);
	glutAddMenuEntry(M11000000_TXT, M11000000);
	
	// menu distances
	glutSetMenu(mnuDistances);
	glutAddMenuEntry(DISTANCE_POINT4_TXT, DISTANCE_POINT4);
	glutAddMenuEntry(DISTANCE_POINT8_TXT, DISTANCE_POINT8);

	if (nbplan == 1) {
		glutAddMenuEntry(DISTANCE4_FIG_BACK_TXT, DISTANCE4_FIG_BACK);
		glutAddMenuEntry(DISTANCE8_FIG_BACK_TXT, DISTANCE8_FIG_BACK);
		glutAddMenuEntry(DISTANCE4_BACK_FIG_TXT, DISTANCE4_BACK_FIG);
		glutAddMenuEntry(DISTANCE8_BACK_FIG_TXT, DISTANCE8_BACK_FIG);
		glutAddMenuEntry(MEDIATRICE4_TXT, MEDIATRICE4);
		glutAddMenuEntry(MEDIATRICE8_TXT, MEDIATRICE8);
	}

	// menu autres traitements
	glutSetMenu(mnuAutres);
	if (nbplan == 1) {
		glutAddMenuEntry(REMPLISSAGE_TXT, REMPLISSAGE);
		glutAddMenuEntry(SQUELET_MAT_TXT, SQUELET_MAT);
		glutAddMenuEntry(SQUELET_ROSENFELD_TXT, SQUELET_ROSENFELD);
		glutAddMenuEntry(SQUELET_HILDITCH_TXT, SQUELET_HILDITCH);
	}

	// menu couleur courante
	glutSetMenu(mnuCouleur);
	glutAddMenuEntry(BLANC_TXT, BLANC);
	glutAddMenuEntry(ROUGE_TXT, ROUGE);
	glutAddMenuEntry(VERT_TXT, VERT);
	glutAddMenuEntry(BLEU_TXT, BLEU);
	glutAddMenuEntry(JAUNE_TXT, JAUNE);
	glutAddMenuEntry(MAGENTA_TXT, MAGENTA);
	glutAddMenuEntry(CYAN_TXT, CYAN);

	// menu principal
	glutSetMenu(mnuMain);
	glutAddSubMenu(REGLAGES, mnuReglages);
	glutAddSubMenu(DISTANCES, mnuDistances);
	glutAddSubMenu(AUTRES, mnuAutres);
	glutAddSubMenu(COULEUR, mnuCouleur);
	glutAddMenuEntry(ANNULER_TXT, ANNULER);
	glutAddMenuEntry(RECHARGER_TXT, RECHARGER);
	glutAddMenuEntry(ENREGISTRER_TXT, ENREGISTRER);
	glutAddMenuEntry(QUITTER, ESC);
	
	glutAttachMenu(GLUT_RIGHT_BUTTON);	
}
