/* Creation des menus
 *
 * Projet: Traitement d'images
 * Maitrise informatique 2003
 * Vouriot Thierry
 */

#ifndef _MENUS_GLUT_H
#define _MENUS_GLUT_H

#include <GL/glut.h>

#define ESC 27			// code ascii de la touche escape

#define REGLAGES "Reglages"
#define DISTANCES "Distances"
#define AUTRES "Autres traitements"
#define QUITTER "Quitter (esc)"

#define SYMETRIE_VERTICALE 101
#define SYMETRIE_VERTICALE_TXT "Symetrie vertical (f)"
#define NEGATIF 102
#define NEGATIF_TXT "Negatif (n)"
#define NIVEAU_GRIS 103
#define NIVEAU_GRIS_TXT "Niveau de gris (g)"
#define SELECT_COULEURS 104
#define SELECT_COULEURS_TXT "Selection de couleurs"
#define SELECT_BITS "Selection de bits"
#define M00000100 108
#define M00000100_TXT "00000100"
#define M00001000 109
#define M00001000_TXT "00001000"
#define M00010000 110
#define M00010000_TXT "00010000"
#define M00100000 111
#define M00100000_TXT "00100000"
#define M01000000 112
#define M01000000_TXT "01000000"
#define M10000000 113
#define M10000000_TXT "10000000"
#define M11111110 114
#define M11111110_TXT "11111110"
#define M11111100 115
#define M11111100_TXT "11111100"
#define M11111000 116
#define M11111000_TXT "11111000"
#define M11110000 117
#define M11110000_TXT "11110000"
#define M11100000 118
#define M11100000_TXT "11100000"
#define M11000000 119
#define M11000000_TXT "11000000"
#define EGAL_HISTO_1 120
#define EGAL_HISTO_1_TXT "Egalisation histogramme 1"
#define RECHARGER 121
#define RECHARGER_TXT "Recharger (r)"
#define ENREGISTRER 122
#define ENREGISTRER_TXT "Enregistrer sous res.ppm (w)"
#define EGAL_HISTO_2 123
#define EGAL_HISTO_2_TXT "Egalisation histogramme 2"
#define ANNULER 124
#define ANNULER_TXT "Annuler"
#define ETIREMENT 125
#define ETIREMENT_TXT "Etirement"
#define ETIREMENT_INTERACTIF 126
#define ETIREMENT_INTERACTIF_TXT "Etirement interactif"
#define SEUILLAGE_FIXE 127
#define SEUILLAGE_FIXE_TXT "Seuillage fixe"
#define SEUILLAGE_AL 128
#define SEUILLAGE_AL_TXT "Seuillage aleatoire"
#define DENTSCIE 105
#define DENTSCIE_TXT "Dent de scie"

#define DISTANCE_POINT4 129
#define DISTANCE_POINT4_TXT "4 distance (fond/point)"
#define DISTANCE_POINT8 130
#define DISTANCE_POINT8_TXT "8 distance (fond/point)"

#define DISTANCE4_FIG_BACK 132
#define DISTANCE4_FIG_BACK_TXT "4 distance (figure/fond)"
#define DISTANCE8_FIG_BACK 133
#define DISTANCE8_FIG_BACK_TXT "8 distance (figure/fond)"
#define DISTANCE4_BACK_FIG 134
#define DISTANCE4_BACK_FIG_TXT "4 distance (fond/figure)"
#define DISTANCE8_BACK_FIG 135
#define DISTANCE8_BACK_FIG_TXT "8 distance (fond/figure)"

#define MEDIATRICE4 136
#define MEDIATRICE4_TXT "Mediatrice 4 distance"
#define MEDIATRICE8 137
#define MEDIATRICE8_TXT "Mediatrice 8 distance"

#define REMPLISSAGE 131
#define REMPLISSAGE_TXT "Remplissage (composantes connexes)"
#define SQUELET_MAT 170
#define SQUELET_MAT_TXT "Squelettisation M.A.T"
#define SQUELET_ROSENFELD 171
#define SQUELET_ROSENFELD_TXT "Squelettisation Rosenfeld"
#define SQUELET_HILDITCH 172
#define SQUELET_HILDITCH_TXT "Squelettisation Hilditch"

#define COULEUR "Couleur courante"
#define ROUGE 200
#define ROUGE_TXT "Rouge"
#define VERT 201
#define VERT_TXT "Vert"
#define BLEU 202
#define BLEU_TXT "Bleu"
#define JAUNE 203
#define JAUNE_TXT "Jaune"
#define MAGENTA 204
#define MAGENTA_TXT "Magenta"
#define CYAN 205
#define CYAN_TXT "Cyan"
#define BLANC 206
#define BLANC_TXT "Blanc"

/* Creation des differents menus */
void createMenus(void);
/* Fonction gerant les menus */
void glutMenu(int value);

#endif
